GNU bug report logs - #13255
24.2.50; output in nonvisible shell buffer changes prompt

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: rms@HIDDEN; dated Sat, 22 Dec 2012 22:46:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 13255 <at> debbugs.gnu.org:


Received: (at 13255) by debbugs.gnu.org; 6 Jan 2013 19:50:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 14:50:11 2013
Received: from localhost ([127.0.0.1]:48319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TrwEV-0002eZ-Ez
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2013 14:50:11 -0500
Received: from mout.gmx.net ([212.227.17.21]:51953)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stephen.berman@HIDDEN>) id 1TrwEO-0002eS-Gy
	for 13255 <at> debbugs.gnu.org; Sun, 06 Jan 2013 14:50:06 -0500
Received: from mailout-de.gmx.net ([10.1.76.27]) by mrigmx.server.lan
	(mrigmx001) with ESMTP (Nemesis) id 0MYIEJ-1TVbzK3dzd-00V6XT for
	<13255 <at> debbugs.gnu.org>; Sun, 06 Jan 2013 20:49:43 +0100
Received: (qmail invoked by alias); 06 Jan 2013 19:49:43 -0000
Received: from i59F540DF.versanet.de (EHLO rosalinde.fritz.box) [89.245.64.223]
	by mail.gmx.net (mp027) with SMTP; 06 Jan 2013 20:49:43 +0100
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX19+oKQtYuJ+QAMmpNeGlsbS7z7a/bdwcTfPx2ECQT
	eRSaknM7f2Xsgp
From: Stephen Berman <stephen.berman@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#13255: 24.2.50;
	output in nonvisible shell buffer changes prompt
References: <E1TmXoS-0007Lt-6u@HIDDEN>
	<6y8v8pphme.fsf@HIDDEN>
	<874njdapz5.fsf@HIDDEN> <87sj6f11er.fsf@HIDDEN>
Date: Sun, 06 Jan 2013 20:49:41 +0100
In-Reply-To: <87sj6f11er.fsf@HIDDEN> (Chong Yidong's message of "Sun, 06 Jan
	2013 10:38:20 +0800")
Message-ID: <87ehhynlbe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 13255
Cc: Glenn Morris <rgm@HIDDEN>, 13255 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On Sun, 06 Jan 2013 10:38:20 +0800 Chong Yidong <cyd@HIDDEN> wrote:

> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>>> emacs -Q -f shell
>>>
>>> ;; run this in shell buffer
>>> while : ; do
>>>  sleep 0.5
>>>  echo hi
>>> done
>>>
>>> C-x b *scratch* RET
>>> C-h
>>
>> I also get no prompt on typing `C-h'; but if I uncheck "Blink Cursor"
>> in the Options menu and again type `C-h', then I see exactly what rms
>> reported.
>
> I've made a commit to trunk which should fix this.

I updated to trunk revno 111429 and confirm the oscillating dash/space
problem in the OP, which occurs when the blinking cursor is disabled, is
now fixed; thanks.  However, when the blinking cursor is enabled and the
above recipe is repeated, `C-h' is still not echoed (nor is any prefix
key).

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13255; Package emacs. Full text available.
bug closed, send any further explanations to 13255 <at> debbugs.gnu.org and rms@HIDDEN Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13255 <at> debbugs.gnu.org:


Received: (at 13255) by debbugs.gnu.org; 6 Jan 2013 02:38:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 05 21:38:46 2013
Received: from localhost ([127.0.0.1]:46783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Trg8L-0006Bp-Vb
	for submit <at> debbugs.gnu.org; Sat, 05 Jan 2013 21:38:46 -0500
Received: from mail-pb0-f54.google.com ([209.85.160.54]:64324)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <seewhydee@HIDDEN>) id 1Trg8J-0006Bi-Ei
	for 13255 <at> debbugs.gnu.org; Sat, 05 Jan 2013 21:38:44 -0500
Received: by mail-pb0-f54.google.com with SMTP id wz12so9852071pbc.13
	for <13255 <at> debbugs.gnu.org>; Sat, 05 Jan 2013 18:38:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:sender:from:to:cc:subject:references:date:in-reply-to
	:message-id:user-agent:mime-version:content-type;
	bh=03FAfcgQSnthBIis2MsGKPpJxFYh7B+fDRjdvj2PZ/I=;
	b=i0oR/wt2TjECr+s7I0EddHcmMoXh4l1H1vtmHZzRkI3j2G/Ql06ZJqLY+PpPmEED8s
	LKKo6aR6/gu5P7S08QdHfAVGd31quZEtqoxgJPpbLijDXuab8KiK8/ifIk1w4p+gLudV
	gQ9DhDIpTwPudXxBMwGfDL89/wV8A045Qq2qC7mcT68Jv/abbwirsrec4a6pCmEJLWD6
	rK2FefVQ/jfp6WiBJDqn4zvB3KcVSxbGFdambXbnF/CB7j39yOoEfpJt0wrIy3c3CxiO
	HOFaWfC2qzGH+K92xXvaKVyYQycrR+bQ7T6qNQy7EWqAyeAyCOHJbWARtd9o1eA1ScSV
	K9Hw==
X-Received: by 10.66.88.198 with SMTP id bi6mr166651624pab.54.1357439906006;
	Sat, 05 Jan 2013 18:38:26 -0800 (PST)
Received: from tsparkle (cm107.delta179.maxonline.com.sg. [59.189.179.107])
	by mx.google.com with ESMTPS id d2sm36016194paw.19.2013.01.05.18.38.22
	(version=SSLv3 cipher=OTHER); Sat, 05 Jan 2013 18:38:24 -0800 (PST)
From: Chong Yidong <cyd@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#13255: 24.2.50;
	output in nonvisible shell buffer changes prompt
References: <E1TmXoS-0007Lt-6u@HIDDEN>
	<6y8v8pphme.fsf@HIDDEN>
	<874njdapz5.fsf@HIDDEN>
Date: Sun, 06 Jan 2013 10:38:20 +0800
In-Reply-To: <874njdapz5.fsf@HIDDEN> (Stephen Berman's message of
	"Sun, 23 Dec 2012 13:54:22 +0100")
Message-ID: <87sj6f11er.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 13255
Cc: Glenn Morris <rgm@HIDDEN>, 13255 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Stephen Berman <stephen.berman@HIDDEN> writes:

>> emacs -Q -f shell
>>
>> ;; run this in shell buffer
>> while : ; do
>>  sleep 0.5
>>  echo hi
>> done
>>
>> C-x b *scratch* RET
>> C-h
>
> I also get no prompt on typing `C-h'; but if I uncheck "Blink Cursor"
> in the Options menu and again type `C-h', then I see exactly what rms
> reported.

I've made a commit to trunk which should fix this.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13255; Package emacs. Full text available.

Message received at 13255 <at> debbugs.gnu.org:


Received: (at 13255) by debbugs.gnu.org; 23 Dec 2012 12:54:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 23 07:54:52 2012
Received: from localhost ([127.0.0.1]:56268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tml4t-0004kT-P3
	for submit <at> debbugs.gnu.org; Sun, 23 Dec 2012 07:54:52 -0500
Received: from mout.gmx.net ([212.227.15.18]:56738)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stephen.berman@HIDDEN>) id 1Tml4r-0004kL-Dy
	for 13255 <at> debbugs.gnu.org; Sun, 23 Dec 2012 07:54:50 -0500
Received: from mailout-de.gmx.net ([10.1.76.16]) by mrigmx.server.lan
	(mrigmx001) with ESMTP (Nemesis) id 0M9M3c-1Tw3er3uQQ-00CizF for
	<13255 <at> debbugs.gnu.org>; Sun, 23 Dec 2012 13:54:24 +0100
Received: (qmail invoked by alias); 23 Dec 2012 12:54:23 -0000
Received: from i59F54449.versanet.de (EHLO rosalinde.fritz.box) [89.245.68.73]
	by mail.gmx.net (mp016) with SMTP; 23 Dec 2012 13:54:23 +0100
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1/MOGNXKrbMtKqgg+4HA9ldiL9DutbBbq/kcen2Xj
	ewLS9S0YcWSU6E
From: Stephen Berman <stephen.berman@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#13255: 24.2.50;
	output in nonvisible shell buffer changes prompt
References: <E1TmXoS-0007Lt-6u@HIDDEN>
	<6y8v8pphme.fsf@HIDDEN>
Date: Sun, 23 Dec 2012 13:54:22 +0100
In-Reply-To: <6y8v8pphme.fsf@HIDDEN> (Glenn Morris's message of
	"Sat, 22 Dec 2012 22:33:29 -0500")
Message-ID: <874njdapz5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  On Sat,
	22 Dec 2012 22:33:29 -0500 Glenn Morris wrote: > Richard
	Stallman wrote: > >> I have a shell buffer with a program sending lots
	of
	output. >> That buffer is not currently displayed. I type C-h,
	and it prompts.
	>> So far, so good. >> >> The bug is that the prompt changes repeatedly.
	A space gets added at >> the beginning and the hyphen disappears at the
	end.
	Then the space >> disappears and the hyphen reappears. This oscillation
	continues
	>> indefinitely at the rate of 3 or 4 changes per second. > > I don't
	see this. What I see (24.2.91) is: > > emacs -Q -f shell > > ; ;
	run this in shell buffer > while : ;
	do > sleep 0.5 > echo hi > done > > C-x b *scratch* RET
	> C-h > > So long as the shell is looping, I get no C-h prompt at all. >
	If I interrupt the loop,
	I get the intended: > > C-h (Type ? for further options)- [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	1.5 URIBL_RHS_DOB Contains an URI of a new domain (Day Old Bread)
	[URIs: gnu.org]
	0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
	(stephen.berman[at]gmx.net)
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [212.227.15.18 listed in list.dnswl.org]
	-0.0 T_RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	-0.0 SPF_PASS               SPF: sender matches SPF record
	-0.0 BAYES_20               BODY: Bayes spam probability is 5 to 20%
	[score: 0.0796]
X-Debbugs-Envelope-To: 13255
Cc: 13255 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.4 (/)

On Sat, 22 Dec 2012 22:33:29 -0500 Glenn Morris <rgm@HIDDEN> wrote:

> Richard Stallman wrote:
>
>> I have a shell buffer with a program sending lots of output.
>> That buffer is not currently displayed.  I type C-h, and it prompts.
>> So far, so good.
>>
>> The bug is that the prompt changes repeatedly.  A space gets added at
>> the beginning and the hyphen disappears at the end.  Then the space
>> disappears and the hyphen reappears.  This oscillation continues
>> indefinitely at the rate of 3 or 4 changes per second.
>
> I don't see this. What I see (24.2.91) is:
>
> emacs -Q -f shell
>
> ;; run this in shell buffer
> while : ; do
>  sleep 0.5
>  echo hi
> done
>
> C-x b *scratch* RET
> C-h
>
> So long as the shell is looping, I get no C-h prompt at all.
> If I interrupt the loop, I get the intended:
>
> C-h (Type ? for further options)-


When I repeat Glenn's recipe in GNU Emacs 24.3.50.2
(x86_64-suse-linux-gnu, GTK+ Version 3.4.4) of 2012-12-23 on rosalinde,
revision 111308 jan.h.d@HIDDEN, I
also get no prompt on typing `C-h'; but if I uncheck "Blink Cursor" in
the Options menu and again type `C-h', then I see exactly what rms
reported.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13255; Package emacs. Full text available.

Message received at 13255 <at> debbugs.gnu.org:


Received: (at 13255) by debbugs.gnu.org; 23 Dec 2012 03:33:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 22 22:33:56 2012
Received: from localhost ([127.0.0.1]:56066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TmcK4-0006Ik-Ad
	for submit <at> debbugs.gnu.org; Sat, 22 Dec 2012 22:33:56 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:54561)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1TmcK2-0006Id-8F
	for 13255 <at> debbugs.gnu.org; Sat, 22 Dec 2012 22:33:55 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1TmcJd-0007xd-RF; Sat, 22 Dec 2012 22:33:29 -0500
From: Glenn Morris <rgm@HIDDEN>
To: rms@HIDDEN
Subject: Re: bug#13255: 24.2.50;
	output in nonvisible shell buffer changes prompt
References: <E1TmXoS-0007Lt-6u@HIDDEN>
X-Spook: Indigo bullion Plame SWAT industrial intelligence brigand
X-Ran: O!lN*7kMwl3?rnCt;KH\g"52)a"?k2m$|1Iu_cG!rkci:_#13D.k2bE+F.#YrE}tvlTr*A
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 22 Dec 2012 22:33:29 -0500
In-Reply-To: <E1TmXoS-0007Lt-6u@HIDDEN> (Richard Stallman's message
	of "Sat, 22 Dec 2012 17:45:00 -0500")
Message-ID: <6y8v8pphme.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13255
Cc: 13255 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.5 (-----)

Richard Stallman wrote:

> I have a shell buffer with a program sending lots of output.
> That buffer is not currently displayed.  I type C-h, and it prompts.
> So far, so good.
>
> The bug is that the prompt changes repeatedly.  A space gets added at
> the beginning and the hyphen disappears at the end.  Then the space
> disappears and the hyphen reappears.  This oscillation continues
> indefinitely at the rate of 3 or 4 changes per second.

I don't see this. What I see (24.2.91) is:

emacs -Q -f shell

;; run this in shell buffer
while : ; do
 sleep 0.5
 echo hi
done

C-x b *scratch* RET
C-h

So long as the shell is looping, I get no C-h prompt at all.
If I interrupt the loop, I get the intended:

C-h (Type ? for further options)-




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13255; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Dec 2012 22:45:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 22 17:45:39 2012
Received: from localhost ([127.0.0.1]:55922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TmXp4-0005vc-Sk
	for submit <at> debbugs.gnu.org; Sat, 22 Dec 2012 17:45:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58248)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rms@HIDDEN>) id 1TmXp1-0005vU-Jj
	for submit <at> debbugs.gnu.org; Sat, 22 Dec 2012 17:45:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rms@HIDDEN>) id 1TmXod-0000jK-Om
	for submit <at> debbugs.gnu.org; Sat, 22 Dec 2012 17:45:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00, T_RP_MATCHES_RCVD,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:38806)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
	id 1TmXod-0000jG-LY
	for submit <at> debbugs.gnu.org; Sat, 22 Dec 2012 17:45:11 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41362)
	by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
	id 1TmXoZ-0006dv-AG
	for bug-gnu-emacs@HIDDEN; Sat, 22 Dec 2012 17:45:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rms@HIDDEN>) id 1TmXoS-0000Ub-Sb
	for bug-gnu-emacs@HIDDEN; Sat, 22 Dec 2012 17:45:07 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44883)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
	id 1TmXoS-0000UX-Pg
	for bug-gnu-emacs@HIDDEN; Sat, 22 Dec 2012 17:45:00 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rms@HIDDEN>)
	id 1TmXoS-0007Lt-6u; Sat, 22 Dec 2012 17:45:00 -0500
Date: Sat, 22 Dec 2012 17:45:00 -0500
Message-Id: <E1TmXoS-0007Lt-6u@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2.50; output in nonvisible shell buffer changes prompt
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
	(bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

I have a shell buffer with a program sending lots of output.
That buffer is not currently displayed.  I type C-h, and it prompts.
So far, so good.

The bug is that the prompt changes repeatedly.  A space gets added at
the beginning and the hyphen disappears at the end.  Then the space
disappears and the hyphen reappears.  This oscillation continues
indefinitely at the rate of 3 or 4 changes per second.



In GNU Emacs 24.2.50.1 (mips64el-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2012-10-20 on chiefs-gnewsense
Bzr revision: 110610 rgm@HIDDEN
System Description:	gNewSense mipsel-l

Configured using:
 `configure 'CFLAGS=-O0 -g' '--with-gif=no' '--with-tiff=no''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
o g r a m s SPC s u c h SPC a s SPC s i c DEL DEL o 
c i a l SPC s e c u r i t y , SPC c u t s SPC t h a 
t ESC d ESC q C-p C-p C-p C-p ESC ^ ESC b ESC b ESC 
b ESC b i m a g i n a r y SPC ESC f ESC f C-f C-b C-k 
C-n C-n C-a C-n C-n i s SPC ESC q C-n C-e SPC SPC O 
b a m a SPC i s SPC a SPC c e n t e r - r i g h t RET 
p o l i t i c i a n SPC t h a t SPC f a v o r s SPC 
ESC DEL ESC DEL a n d SPC f a v o r s SPC s u c h SPC 
c u t s ; SPC i f SPC h e SPC d i d n ' t , SPC h e 
SPC w o u l d SPC n o t SPC g o SPC a l o n g RET w 
i t h SPC t h e SPC p r e t e n s e . C-c C-c C-d x 
C-d C-d x C-d x C-x C-s C-x b * s c TAB DEL ESC DEL 
s h TAB RET C-x b RET SPC SPC ESC v SPC SPC C-d C-d 
C-d C-d x C-x C-s n SPC C-d C-d C-d SPC SPC C-d C-d 
x C-x C-s C-x b RET C-x b RET C-h C-h ESC x r e p o 
r t SPC e m a c s SPC b u g RET

Recent messages:
Saving file /home/rms/RMAIL...
Wrote /home/rms/RMAIL [2 times]
Expunging deleted messages...done
Saving file /home/rms/RMAIL...
Wrote /home/rms/RMAIL [2 times]
No following nondeleted message
Expunging deleted messages...done
Saving file /home/rms/RMAIL...
Wrote /home/rms/RMAIL [2 times]
Quit
Quit

Load-path shadows:
None found.

Features:
(pcmpl-unix two-column debug unrmail diff ispell mail-extr shadow
emacsbug cc-langs cl cl-lib cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs bug-reference apropos
time-stamp vc-arch vc-mtn vc-hg vc-git vc-sccs vc-svn vc-rcs utf-7
ind-util vc-bzr texinfo etags rmailsum jka-compr diff-mode log-edit
easy-mmode pcvs-util add-log vc vc-dispatcher parse-time vc-cvs
sgml-mode epa-mail epa derived epg epg-config shell pcomplete grep
compile comint ansi-color ring dired-aux novice quail help-mode
rmailout dabbrev misearch multi-isearch mule-util cal-move cal-menu
calendar cal-loaddefs qp mailalias rmailmm message sendmail
format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode
mailabbrev gmm-utils mailheader mail-parse rfc2231 dired t-mouse
time-date rmailedit rmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils paren cus-start cus-load advice help-fns
advice-preload tooltip ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call





Acknowledgement sent to rms@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13255; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.